## org.eclipse.datatools.connectivity.ui.wizards
Class ExtensibleNewConnectionProfileWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
              org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
                  org.eclipse.datatools.connectivity.ui.wizards.ExtensibleNewConnectionProfileWizard

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.IMediator, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, ICPWizard, org.eclipse.help.IContextProvider, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

Direct Known Subclasses:
  NewHSQLDBConnectionProfileWizard, NewSQLITEConnectionProfileWizard

    public class ExtensibleNewConnectionProfileWizard

extends NewConnectionProfileWizard

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`NewConnectionProfileWizard.IFinishTask`

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`ExtensibleNewConnectionProfileWizard(ExtensibleProfileDetailsWizardPage detailsWizardPage)`

Method Summary
`void` `addCustomPages()` Clients needs to add their customized pages here
`boolean` `canFinish()`
`void` `createPageControls(org.eclipse.swt.widgets.Composite pageContainer)`
`NewConnectionProfileWizardPage` `getProfilePage()`
`java.util.Properties` `getProfileProperties()` Clients need provide implementation to get extra profile properties

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`addPages, delegatesTask, getContext, getContextChangeMask, getParentProfile, getProfileDescription, getProfileIsAutoConnect, getProfileName, getProfileProviderID, getSearchExpression, getSummaryData, init, initProviderID, isFinished, isProfileNamePageSkippable, performFinish, setParentProfile, setProfileDescription, setProfileName, setProfileNameAndDescription, setSkipProfileNamePage`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
`getNextPage, getPreviousPage, getStartingPage, mediatePage`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### ExtensibleNewConnectionProfileWizard

    public ExtensibleNewConnectionProfileWizard(ExtensibleProfileDetailsWizardPage detailsWizardPage)

Method Detail

### createPageControls

    public void createPageControls(org.eclipse.swt.widgets.Composite pageContainer)

  Specified by:
    `createPageControls` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `createPageControls` in class `NewConnectionProfileWizard`

### addCustomPages

    public void addCustomPages()

  Description copied from class: `NewConnectionProfileWizard`
  Clients needs to add their customized pages here

  Specified by:
    `addCustomPages` in class `NewConnectionProfileWizard`

### getProfileProperties

    public java.util.Properties getProfileProperties()

  Description copied from class: `NewConnectionProfileWizard`
  Clients need provide implementation to get extra profile properties

  Specified by:
    `getProfileProperties` in class `NewConnectionProfileWizard`
  Returns:

### getProfilePage

    public NewConnectionProfileWizardPage getProfilePage()

  Overrides:
    `getProfilePage` in class `NewConnectionProfileWizard`

### canFinish

    public boolean canFinish()

  Specified by:
    `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `canFinish` in class `org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard`